Refresh MozillaBuild toolchain (1.2)

RESOLVED FIXED

Status

task
RESOLVED FIXED
12 years ago
12 years ago

People

(Reporter: ted, Assigned: ted)

Tracking

Details

We need to get an updated MozillaBuild out.  We've got some fixes on trunk, and we should get just a few more fixes in and then release.  We'll punt MSYS updates and some other things to the next version.
Depends on: 406827
This is blocking 346214. There was no time to fix for beta2, but this is a blocker for beta3.
No longer blocks: 346214
Blocks: 340976
Depends on: 407412
RC is up at:
http://people.mozilla.com/~tmielczarek/MozillaBuild-1.2rc.exe

Ben and I are building with it to test, would appreciate additional testing, especially for VC9 and the start-l10n.bat.
Hopefully we can get bug 409114 in before the release?
Depends on: 409114
Assignee: ted.mielczarek → nobody
Component: Build & Release → MozillaBuild
QA Contact: build → mozillabuild
Assignee: nobody → ted.mielczarek
I don't know that I'd hold up for that, I'll give you a day to try to sort it out.  :-)
Depends on: 382760
Depends on: 402202
Mass re-assign of MozillaBuild bugs into mozilla.org:MozillaBuild
Given bug 409260 we're not going to release this rc.  Also seems to have a bug with cvs checkout, winding up with multiple recursive copies of the source tree under mozilla/build/autoconf.
No longer depends on: 409260

Comment 7

12 years ago
Strong suggestion: update to latest version (v4.57) of 7-Zip.  It takes better advantage of multi-CPU machines, so the compression is faster.

Mild suggestion: use a more recent version of the NSIS installer.  Not *the* latest, though, because versions after 2.29 don't like the Firefox script (at least not for branch builds).
Link to rc2: http://people.mozilla.org/~bhearsum/Build/MozillaBuild/MozillaBuild-1.2rc2.exe

I just checked out, built, and created an installer without issue on Vista with VC8 Express. It should be noted that start-msys*.bat must be run as Administrator on Vista.
(In reply to comment #7)
> Strong suggestion: update to latest version (v4.57) of 7-Zip.  It takes better
> advantage of multi-CPU machines, so the compression is faster.
> 
> Mild suggestion: use a more recent version of the NSIS installer.  Not *the*
> latest, though, because versions after 2.29 don't like the Firefox script (at
> least not for branch builds).
> 

Can you file bugs about those in mozilla.org:MozillaBuild?
We're not taking anything more in MozillaBuild 1.2.  We'll take suggestions for 1.3 though.  FWIW, 1.2 includes NSIS 2.33 with unicode support (alongside the version currently shipping with MozillaBuild 1.1)
Fixed!

http://ftp.mozilla.org/pub/mozilla.org/mozilla/libraries/win32/MozillaBuildSetup-1.2.exe
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.